Skip to content

Edit Study

PATCH
/studies/{study_id}

Authorizations

HTTPBearer

Use your API token

Type
HTTP (bearer)

Parameters

Path Parameters

study_id*
Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
"description": "Example description for demonstration purposes",
"projectId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"createdAt": "2026-01-08T12:00:00Z",
"bookmarked": true,
"language": "string",
"audiences": [
"string"
],
"files": [
"string"
],
"progress": {
"total": 42,
"completed": 42,
"failed": 42
},
"status": "string",
"knowledgeGraphs": [
"string"
],
"strategy": "string",
"interviewCount": 0,
"interviews": [
"string"
]
}

Responses

Successful Response

application/json
object
Format"uuid"
string |null
Required
Format"uuid"
Format"date-time"
string[]
Required
object[]
Required
string[]
Required
object[]
Required
string[]
Required
string |null
Required
object |null
string |null
object |null
string |null
object |null
string[]
Valid values"solution_feedback""problem_exploration""custom_script""dynamic_interview""ethnographic_research""concept_study"
integer |null
string[]
Required
string[]
Required

Samples

Powered by VitePress OpenAPI